Subject: Re: [PATCH] change where the kernel loads

From: Scott Wood <[email-masked]>
Date: Tue, 15 Jan 2008 15:09:50 -0600

Mike Wolf wrote:
> When netbooting a kernel with an initrd or initramfs that makes
> the image larger than 8 meg the firmware will kick out the kernel 
> and go to the second boot device.  However when the mkzimage 
> script is used to create the image instead of 'make zImage' then 
> the kernel/initrd will netboot.  So this patch changes boot/zImage.lds
> to load the kernel at the same location that the mkzimage would set.
> 
> This has been boot tested on POWER5, POWER5+, blades and POWER6
> systems successfully.

This will fail on any platform without a vmlinux_alloc(), as there will 
be insufficient room for the kernel at address zero.

-Scott